## EActionComboBox EActionComboBox |

## Functions

GtkWidget * | e_action_combo_box_new ()
GtkWidget * | e_action_combo_box_new_with_action ()
EUIAction * | e_action_combo_box_get_action ()
void | e_action_combo_box_set_action ()
gint | e_action_combo_box_get_current_value ()
void | e_action_combo_box_set_current_value ()
void | e_action_combo_box_add_separator_before ()
void | e_action_combo_box_add_separator_after ()
void | e_action_combo_box_update_model ()
gboolean | e_action_combo_box_get_ellipsize_enabled ()
void | e_action_combo_box_set_ellipsize_enabled ()

## Properties

EUIAction * | action | Read / Write
int | current-value | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── EActionComboBox

## Description

## Functions

### e_action_combo_box_new ()

    GtkWidget *
    e_action_combo_box_new (void);

### e_action_combo_box_new_with_action ()

    GtkWidget *
    e_action_combo_box_new_with_action (EUIAction *action);

### e_action_combo_box_get_action ()

    EUIAction *
    e_action_combo_box_get_action (EActionComboBox *combo_box);

### e_action_combo_box_set_action ()

    void
    e_action_combo_box_set_action (EActionComboBox *combo_box,
                                   EUIAction *action);

### e_action_combo_box_get_current_value ()

    gint
    e_action_combo_box_get_current_value (EActionComboBox *combo_box);

### e_action_combo_box_set_current_value ()

    void
    e_action_combo_box_set_current_value (EActionComboBox *combo_box,
                                          gint current_value);

### e_action_combo_box_add_separator_before ()

    void
    e_action_combo_box_add_separator_before
                                   (EActionComboBox *combo_box,
                                    gint action_value);

### e_action_combo_box_add_separator_after ()

    void
    e_action_combo_box_add_separator_after
                                   (EActionComboBox *combo_box,
                                    gint action_value);

### e_action_combo_box_update_model ()

    void
    e_action_combo_box_update_model (EActionComboBox *combo_box);

### e_action_combo_box_get_ellipsize_enabled ()

    gboolean
    e_action_combo_box_get_ellipsize_enabled
                                   (EActionComboBox *combo_box);

### e_action_combo_box_set_ellipsize_enabled ()

    void
    e_action_combo_box_set_ellipsize_enabled
                                   (EActionComboBox *combo_box,
                                    gboolean enabled);

## Property Details

### The `“action”` property

      “action”                   EUIAction *

An EUIAction.

Owner: EActionComboBox

Flags: Read / Write

### The `“current-value”` property

      “current-value”            int

Owner: EActionComboBox

Flags: Read / Write

Default value: 0